package com.steering.pss.plnsaleord.steelMarkingPlan.entity;

/**
 * 数据库表CRAFT_LG2_ALLOY所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF date 2017-09-04
 */
@SuppressWarnings("serial")
public class CraftLg2AlloyEntity implements java.io.Serializable {
    /**
     * 合金配置方案ID(AOY+工艺卡号+6位流水)
     */
    private String alloyGid = "";
    /**
     * 物料编码
     */
    private String itemCode = "";
    /**
     * 物料名称
     */
    private String itemName = "";
    /**
     * 方案配置量(公斤)
     */
    private String inputAmount = "";
    /**
     * 序号
     */
    private String xh = "";
    /**
     * 序号
     */
    public String getXh() {
        return xh;
    }
    /**
     * 序号
     */
    public void setXh(String xh) {
        this.xh = xh;
    }

    /**
     * 合金配置方案ID(AOY+工艺卡号+6位流水)
     * @return value
     */
    public String getAlloyGid() {
        return alloyGid;
    }

    /**
     * 合金配置方案ID(AOY+工艺卡号+6位流水)
     * @param alloyGid value
     */
    public void setAlloyGid(String alloyGid) {
        this.alloyGid = alloyGid;
    }

    /**
     * 物料编码
     * @return value
     */
    public String getItemCode() {
        return itemCode;
    }

    /**
     * 物料编码
     * @param itemCode value
     */
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getItemName() {
        return itemName;
    }

    /**
     * 物料名称
     * @param itemName value
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * 方案配置量(公斤)
     * @return value
     */
    public String getInputAmount() {
        return inputAmount;
    }

    /**
     * 方案配置量(公斤)
     * @param inputAmount value
     */
    public void setInputAmount(String inputAmount) {
        this.inputAmount = inputAmount;
    }
}